## plasma-workspace 5.12.3

=== CMakeLists.txt ===
project(plasma-workspace)
set(PROJECT_VERSION "5.12.3")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

set(QT_MIN_VERSION "5.9.0")
set(KF5_MIN_VERSION "5.42.0")
set(INSTALL_SDDM_THEME TRUE)
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Widgets Quick QuickWidgets Concurrent Test Script Network)
find_package(ECM 1.8.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMPackageConfigHelpers)
include(ECMMarkNonGuiExecutable)
include(CMakePackageConfigHelpers)
include(WriteBasicConfigVersionFile)
include(CheckIncludeFiles)
include(FeatureSummary)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(KDEPackageAppTemplates)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
                    Plasma DocTools Runner JsEmbed NotifyConfig Su NewStuff Wallet KCMUtils
                    IdleTime Declarative TextWidgets KDELibs4Support Crash GlobalAccel
                    DBusAddons Wayland CoreAddons)
find_package(KF5NetworkManagerQt ${KF5_MIN_VERSION})
set_package_properties(KF5NetworkManagerQt PROPERTIES DESCRIPTION "Qt wrapper for NetworkManager API"
                       TYPE OPTIONAL
                       PURPOSE "Needed by geolocation data engine."
                      )

# WARNING PlasmaQuick provides unversioned CMake config
find_package(KF5 REQUIRED COMPONENTS PlasmaQuick)
find_package(KF5 REQUIRED COMPONENTS SysGuard)
find_package(KF5 REQUIRED COMPONENTS Package)

find_package(KF5Baloo)
set_package_properties(KF5Baloo PROPERTIES DESCRIPTION "File Searching"
                       TYPE RECOMMENDED
                       PURPOSE "Needed for the File Search runner."
                      )

find_package(KF5TextEditor)
find_package(KWinDBusInterface CONFIG REQUIRED)

find_package(KScreenLocker REQUIRED)
find_package(ScreenSaverDBusInterface CONFIG REQUIRED)
find_package(KF5Holidays)
set_package_properties(KF5Holidays PROPERTIES DESCRIPTION "Holidays provider for Plasma calendar"
                       TYPE OPTIONAL
                       PURPOSE "Needed to for holidays plugin for Plasma Calendar."
                      )

find_package(Phonon4Qt5 4.6.60 REQUIRED NO_MODULE)
set_package_properties(Phonon4Qt5 PROPERTIES
   DESCRIPTION "Qt-based audio library"
   TYPE REQUIRED)
find_package(KF5Activities ${KF5_MIN_VERSION})
set_package_properties(KF5Activities PROPERTIES DESCRIPTION "management of Plasma activities"
                       TYPE OPTIONAL
                       PURPOSE "Needed by activity related plasmoids."
                      )

find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                       URL "http://www.zlib.net"
                       TYPE REQUIRED
                      )

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "http://www.x.org"
                        TYPE OPTIONAL
                        PURPOSE "Required for building the X11 based workspace")

if(X11_FOUND)
  find_package(XCB MODULE REQUIRED COMPONENTS XCB RANDR)
  set_package_properties(XCB PROPERTIES TYPE REQUIRED)
  if(NOT X11_SM_FOUND)
    message(FATAL_ERROR "\nThe X11 Session Management (SM) development package could not be found.\nPlease install libSM.\n")
  endif(NOT X11_SM_FOUND)

  find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS X11Extras)
endif()

if(X11_FOUND AND XCB_XCB_FOUND)
  set(HAVE_X11 1)
endif()

find_package(AppStreamQt 0.10.4)
set_package_properties(AppStreamQt PROPERTIES DESCRIPTION "Access metadata for listing available software"
                       URL "https://www.freedesktop.org/wiki/Distributions/AppStream/"
		       TYPE OPTIONAL
                      )


include(ConfigureChecks.cmake)

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)
configure_file(plasma.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/plasma.desktop)
install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/plasma.desktop
        DESTINATION ${KDE_INSTALL_DATADIR}/xsessions
)

configure_file(plasmawayland.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/plasmawayland.desktop)
install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/plasmawayland.desktop
        DESTINATION ${KDE_INSTALL_DATADIR}/wayland-sessions
)

plasma_install_package(lookandfeel org.kde.breeze.desktop look-and-feel lookandfeel)

if (INSTALL_SDDM_THEME)
# Install the login theme into the SDDM directory
# Longer term we need to look at making SDDM load from look and feel somehow.. and allow copying at runtime
    #NOTE this trailing slash is important to rename the directory
    install(DIRECTORY sddm-theme/ DESTINATION ${KDE_INSTALL_FULL_DATADIR}/sddm/themes/breeze PATTERN "README.txt" EXCLUDE PATTERN "components" EXCLUDE PATTERN "dummydata" EXCLUDE)
    install(DIRECTORY lookandfeel/contents/components DESTINATION ${KDE_INSTALL_FULL_DATADIR}/sddm/themes/breeze PATTERN "README.txt" EXCLUDE)
endif()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory(doc)
add_subdirectory(libkworkspace)
add_subdirectory(libdbusmenuqt)
add_subdirectory(appmenu)

add_subdirectory(libtaskmanager)
add_subdirectory(libcolorcorrect)
add_subdirectory(components)

add_subdirectory(plasma-windowed)
add_subdirectory(shell)
add_subdirectory(freespacenotifier)
add_subdirectory(klipper)
add_subdirectory(krunner)
add_subdirectory(ksmserver)
add_subdirectory(ksplash)
add_subdirectory(systemmonitor)
add_subdirectory(statusnotifierwatcher)
add_subdirectory(startkde)
add_subdirectory(themes)

add_subdirectory(containmentactions)
add_subdirectory(runners)
add_subdirectory(applets)
add_subdirectory(dataengines)
add_subdirectory(wallpapers)

add_subdirectory(kioslave)
add_subdirectory(ktimezoned)
add_subdirectory(kuiserver)
add_subdirectory(menu)
add_subdirectory(phonon)
add_subdirectory(solidautoeject)

ecm_optional_add_subdirectory(xembed-sni-proxy)

add_subdirectory(soliduiserver)

if(KF5Holidays_FOUND)
    add_subdirectory(plasmacalendarintegration)
endif()

add_subdirectory(templates)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== kuiserver/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kuiserver5\")

add_subdirectory( tests )

set(kuiserver_KDEINIT_SRCS
    main.cpp
    uiserver.cpp
    jobview.cpp
    progresslistmodel.cpp
    progresslistdelegate.cpp
    requestviewcallwatcher.cpp
)

set(kuiserver_KDEINIT_PRIVATE
progresslistdelegate_p.h
uiserver_p.h
)

ki18n_wrap_ui(kuiserver_KDEINIT_SRCS configdialog.ui)


#<DBus Stuff>

#<JobView>
  set(jobview_xml org.kde.JobView.xml)

  qt5_add_dbus_adaptor(kuiserver_KDEINIT_SRCS ${jobview_xml} jobview.h JobView jobviewadaptor )

  qt5_add_dbus_interface(kuiserver_KDEINIT_SRCS ${jobview_xml} jobview_interface )
#</JobView>


#<JobViewServer>
  set(jobviewserver_xml ${KJOBWIDGETS_DBUS_INTERFACES_DIR}/kf5_org.kde.JobViewServer.xml)

  qt5_add_dbus_adaptor(kuiserver_KDEINIT_SRCS ${jobviewserver_xml} progresslistmodel.h ProgressListModel jobviewserveradaptor )

  qt5_add_dbus_interface(kuiserver_KDEINIT_SRCS ${jobviewserver_xml} jobviewserver_interface )
#</JobViewServer>

qt5_add_dbus_adaptor(kuiserver_KDEINIT_SRCS org.kde.kuiserver.xml progresslistmodel.h ProgressListModel kuiserveradaptor )

configure_file(org.kde.kuiserver.service.in
               ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kuiserver.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kuiserver.service
        DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR} RENAME kf5_org.kde.kuiserver.service)

#</DBus Stuff>


kconfig_add_kcfg_files(kuiserver_KDEINIT_SRCS kuiserversettings.kcfgc)

kf5_add_kdeinit_executable( kuiserver5 ${kuiserver_KDEINIT_SRCS})

if (Q_WS_MAC)
    set_target_properties(kuiserver5 PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_SOURCE_DIR}/Info.plist.template)
    set_target_properties(kuiserver5 PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.kuiserver")
    set_target_properties(kuiserver5 PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE UI Server")
endif ()


target_link_libraries(kdeinit_kuiserver5
    Qt5::DBus
    KF5::ConfigWidgets
    KF5::DBusAddons
    KF5::ItemViews
    KF5::Notifications
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::XmlGui
    KF5::I18n
)
install(TARGETS kdeinit_kuiserver5 ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries( kuiserver5 kdeinit_kuiserver5 )
install(TARGETS kuiserver5 ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install( FILES kuiserver.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

# contains list of debug categories, for kdebugsettings
install(FILES kuiserver.categories DESTINATION ${KDE_INSTALL_CONFDIR})

=== containmentactions/switchdesktop/CMakeLists.txt ===
set(switchdesktop_SRCS
    desktop.cpp
)

add_library(plasma_containmentactions_switchdesktop MODULE ${switchdesktop_SRCS})

kcoreaddons_desktop_to_json(plasma_containmentactions_switchdesktop plasma-containmentactions-switchdesktop.desktop)

target_link_libraries(plasma_containmentactions_switchdesktop
                        Qt5::Widgets
                        KF5::Plasma
                        KF5::WindowSystem
                        KF5::I18n
                        KF5::KIOCore
                       )

install(TARGETS plasma_containmentactions_switchdesktop DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES plasma-containmentactions-switchdesktop.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== dataengines/calendar/CMakeLists.txt ===
include_directories(
        ${KDEPIMLIBS_INCLUDE_DIRS}
        ${Boost_INCLUDE_DIR}
)

kde_enable_exceptions()

set(calendar_engine_srcs
    calendarengine.cpp
)

if(Akonadi_FOUND)
    add_definitions(-DAKONADI_FOUND)
    set(calendar_engine_srcs ${calendar_engine_srcs}
        eventdatacontainer.cpp
    )
endif()

add_library(plasma_engine_calendar MODULE ${calendar_engine_srcs})

target_link_libraries(
    plasma_engine_calendar
    ${KDEPIMLIBS_KHOLIDAYS_LIBRARY}
    KF5::CoreAddons
    KF5::Plasma
    ${KDE4_KMIME_LIBS}
    KF5::CalendarCore
    ${KDE4_KCALUTILS_LIBS}
)

if(Akonadi_FOUND)
    target_link_libraries(
        plasma_engine_calendar
        akonadi-calendar
        ${KDE4_AKONADI_LIBS}
        ${KDEPIMLIBS_AKONADI_KCAL_LIBS}
    )
endif()

install(TARGETS plasma_engine_calendar DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/dataengine)
install(FILES plasma-dataengine-calendar.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== runners/bookmarks/CMakeLists.txt ===
########### next target ###############
#set(EXTERNAL_LIBS KIOCore Qt5::Script KF5::Plasma Qt5::Sql)

add_definitions(-DTRANSLATION_DOMAIN=\"plasma_runner_bookmarksrunner\")

find_package(Qt5 CONFIG REQUIRED COMPONENTS Sql)


set(EXTERNAL_LIBS
    Qt5::Sql
    KF5::KIOCore
    KF5::I18n
    KF5::Runner
    KF5::Bookmarks
)

set(krunner_bookmarksrunner_SRCS
    browserfactory.cpp
    bookmarkmatch.cpp
    faviconfromblob.cpp
    favicon.cpp
    fetchsqlite.cpp
    browsers/opera.cpp
    bookmarksrunner.cpp
    browsers/kdebrowser.cpp
    browsers/firefox.cpp
)

set(krunner_bookmarksrunner_SRCS
    ${krunner_bookmarksrunner_SRCS}
    browsers/chromefindprofile.cpp
    browsers/chrome.cpp
)


add_library(krunner_bookmarksrunner MODULE ${krunner_bookmarksrunner_SRCS})
target_link_libraries(krunner_bookmarksrunner ${EXTERNAL_LIBS})

install(TARGETS krunner_bookmarksrunner DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############

install(FILES plasma-runner-bookmarks.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

# Currently tests include only chrome, so no need to get include them if json is not found
add_subdirectory(tests)

=== shell/packageplugins/shell/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_package_plasmashell\")

set(shellpackage_SRCS
    shellpackage.cpp
)

add_library(plasma_packagestructure_plasmashell MODULE ${shellpackage_SRCS})

target_link_libraries(plasma_packagestructure_plasmashell
   KF5::I18n
   KF5::Package
)

kcoreaddons_desktop_to_json(plasma_packagestructure_plasmashell plasma-packagestructure-plasma-shell.desktop)

install(TARGETS plasma_packagestructure_plasmashell DESTINATION ${KDE_INSTALL_PLUGINDIR}/kpackage/packagestructure)

=== debian/changelog ===
plasma-workspace (4:5.12.3-1) sid; urgency=medium

  * New upstream release (5.12.3).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Mar 2018 19:14:13 +0100

plasma-workspace (4:5.12.2-1) sid; urgency=medium

  * New upstream release (5.12.2).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 24 Feb 2018 09:47:56 +0100

plasma-workspace (4:5.12.1-1) sid; urgency=medium

  [ Aurélien COUDERC ]
  * Use dash instead of bash for themes postinst as bash is not needed
  * Remove redundant sh -e / set -e in themes prerm

  [ Maximiliano Curia ]
  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:09:06 +0100

plasma-workspace (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Drop qml-module-org-kde-extensionplugin transitional package dependency
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:54 +0100

plasma-workspace (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add libpkgs_addsubst_allLibraries to the build sequence
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3.
  * Bump group breaks (5.12)
  * Update install files
  * Add new lib package libcolorcorrect5
  * Update install files
  * Drop legacytaskmanager from the acc file
  * Update symbols files.
  * Add symbols for libcolorcorrect
  * Update copyright information
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:21:09 +0100

plasma-workspace (4:5.11.4-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Drop kubuntu_startkde-qtpath.diff, not needed with qtchooser 52-gae5eeef
    and newer which has fallback support for qtpaths.

  [ Maximiliano Curia ]
  * Update changelog for 4:5.10.5-2~ release
  * Release to sid
  * Update changelog for 4:5.10.5-2 release
  * Bump Standards-Version to 4.1.0.
  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Update install files
  * Add runtime dependency to drkonqi
  * Update symbols files
  * Add build dependency kgendesignerplugin
  * Update install files
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:19 -0300

plasma-workspace (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:45 +0200

plasma-workspace (4:5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.4).
    + Fix compilation against newer cmake version
      (052ab380b6cb7f27da19ba0937bc2563b175a19b) (Closes: 871146)
      Thanks to Lucas Nussbaum for the report
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.0.
  * Drop upstream patches
  * Update upstream metadata
  * Bump group breaks (5.10)
  * Refresh patches
  * Add optional libkf5prison-dev build dep
  * Update install files
  * Update symbols files
  * Install all the locale files in plasma-workspace
  * Update patch: add_sddm_debian_breeze.patch
  * New upstream release (5.10.5).
  * Refresh patch
  * Refresh patch
  * Release to experimental

  [ Raymond Wooninck ]
  * Update debian patch
  * Fix install list

  [ Jonathan Riddell ]
  * add gpg keyring
  * plasma-desktop dep on kwin-common for qml modules
  * qmllint
  * update .install
  * new files in plasma-workspace
  * appstream files

  [ Rik Mills ]
  * add b-d on libappstreamqt-dev
  * install appstream runner

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:29:32 +0200

plasma-workspace (4:5.8.7-1) unstable; urgency=medium

  * New upstream release (5.8.7)
      + [Logout Screen] Show suspend button only if supported
        Fixes KDE#376601
      + try harder to make the selected wallpaper visible
        qml gridview don't have an official way to ensure the
        current index is visible when the view is first instantiated,
        the only way we have is to do positionViewAtIndex when we know the
        proper space has already been allocated (Component.onCompleted
        is way too early) we used to do that on onCountChanged, but that
        too seems to early sometimes, as the selected wallpaper
        is visible only sometimes, attaching it to onContentHeightChanged
        seems to be more reliable (for all branches)
      + Ignore NoDisplay=true .desktop entries when matching by Name.
        We currently match Krita by Name. It's classClass is "krita",
        but its DesktopEntryName is org.kde.krita.desktop. However,
        Krita also installs numerous additional .desktop entries to
        associate more file types by itself, all of which match by
        name, and the first one in the list isn't the right one. All
        of those extra .desktop files are NoDisplay=true however, so
        we can filter them out, which brings the match list down to
        the one and only .desktop file we care for.
      + try proper order of corona()->availableScreenRect()
        connect to Plasma::Corona::availableScreenRectChanged
        instead of using kscreen, this way we should be more sure
        that signal is emitted when it's safe to call
        corona()->availableScreenRect() as the change of rect
        may happen after a screen removal, so may mean
        accessing a desktop view while being deleted
        Fixes KDE#377298
      + don't emit availableScreenRectChanged when quitting
        if applets react to it it can cause a crash, because the corona
        may not be valid anymore, and we don't want to relayout
        things anyways when tearing down
      + manage mouse events when out of the window


=== debian/control ===
Source: plasma-workspace
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.13~),
               cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 1.8.0~),
               kgendesignerplugin (>= 5.41~),
               kinit-dev,
               kscreenlocker-dev,
               kwin-dev (>= 4:5.4.95),
               libappstreamqt-dev (>= 0.10.4~) [linux-any],
               libboost-dev,
               libdbusmenu-qt5-dev,
               libgps-dev,
               libkf5activities-dev (>= 5.42.0~),
               libkf5config-dev (>= 5.2.0),
               libkf5coreaddons-dev (>= 5.42.0~),
               libkf5crash-dev (>= 5.42.0~),
               libkf5dbusaddons-dev (>= 5.42.0~),
               libkf5declarative-dev (>= 5.42.0~),
               libkf5doctools-dev (>= 5.42.0~),
               libkf5globalaccel-dev (>= 5.42.0~),
               libkf5holidays-dev,
               libkf5i18n-dev (>= 5.2.0),
               libkf5idletime-dev (>= 5.42.0~),
               libkf5itemmodels-dev (>= 5.41.0~),
               libkf5jsembed-dev (>= 5.42.0~),
               libkf5kcmutils-dev (>= 5.42.0~),
               libkf5kdelibs4support-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.4.0),
               libkf5networkmanagerqt-dev (>= 5.42.0~),
               libkf5newstuff-dev (>= 5.42.0~),
               libkf5notifyconfig-dev (>= 5.42.0~),
               libkf5package-dev,
               libkf5plasma-dev (>= 5.42.0~),
               libkf5prison-dev (>= 5.42.0~),
               libkf5runner-dev (>= 5.42.0~),
               libkf5screen-dev (>= 4:5.6~),
               libkf5solid-dev (>= 5.2.0),
               libkf5su-dev (>= 5.42.0~),
               libkf5sysguard-dev,
               libkf5texteditor-dev (>= 5.2.0),
               libkf5textwidgets-dev (>= 5.42.0~),
               libkf5wallet-dev (>= 5.42.0~),
               libkf5wayland-dev (>= 4:5.42.0~),
               libkf5webkit-dev (>= 5.13.0~),
               libkf5xmlrpcclient-dev,
               libnm-dev,
               libpam0g-dev,
               libphonon4qt5-dev (>= 4:4.8.0-5),
               libphonon4qt5experimental-dev,
               libqalculate-dev,
               libqt5sensors5-dev,
               libqt5webkit5-dev (>= 5.7~),
               libqt5x11extras5-dev (>= 5.9.0~),
               libraw1394-dev,
               libsm-dev,
               libudev-dev,
               libwayland-dev (>= 1.3),
               libx11-dev,
               libx11-xcb-dev,
               libxapian-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-shm0-dev,
               libxcb-util0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbfile-dev,
               libxrandr-dev,
               libxrender-dev,
               libxtst-dev,
               lm-sensors,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-framework (>= 5.26.0~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               qtscript5-dev (>= 5.9.0~),
               qttools5-dev (>= 5.7~),
               xcb-proto,
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-workspace
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-workspace
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-workspace.git

Package: libcolorcorrect5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 ColorCorrect library.
 .
 This package contains library files.

Package: libkworkspace5-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Kworkspace library.
 .
 This package contains library files.
Breaks: khotkeys (<< 4:5.12),
        libpowerdevilcore2 (<< 4:5.12),
        plasma-desktop (<< 4:5.12),
        powerdevil (<< 4:5.12),

Package: libplasma-geolocation-interface5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Interface library for geolocation.
 .
 This package contains library files.

Package: libtaskmanager6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains library files.
Breaks: plasma-desktop (<< 4:5.12)

Package: libweather-ion7
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Weather_ion library.
 .
 This package contains library files.

Package: plasma-workspace
Architecture: any
Depends: dbus-x11,
         drkonqi,
         frameworkintegration,
         gdb-minimal | gdb,
         iso-codes,
         kactivitymanagerd,
         kde-cli-tools,
         kded5,
         kinit,
         kio,
         kwin-common,
         libkf5globalaccel-bin (>= 5.7.0),
         libkf5plasma5 (>= 5.26.0~),
         libkf5service-bin,
         milou,
         plasma-framework,
         plasma-integration,
         qdbus-qt5,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kholidays,
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-kwindowsystem,
         qml-module-org-kde-solid,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         qttools5-dev-tools (>= 5.7~),
         udisks2,
         x11-utils,
         x11-xserver-utils,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-window-manager (<= 4:5),
        kde-workspace-bin,
        kdeartwork-style,
        kdeartwork-theme-window,
        kinfocenter (<< 4:5.12),
        kio-extras (<< 4:5.3.2+git20150710.0210),
        kio-extras-data (<< 4:5.3.2+git20150710.0210),
        klipper,
        kscreensaver,
        kscreensaver-xsavers,
        kscreensaver-xsavers-webcollage,
        plasma-desktop (<< 4:5.12),
        plasma-desktopthemes-artwork,
        plasma-mediacenter (<< 5.7),
        plasma-systray-legacy,
        plasma-widgets-addons (<< 4:5.12),
        ${kde-l10n:all},
Conflicts: kde-workspace, kde-workspace-data, klipper
Replaces: kde-workspace-bin,
          kde-workspace-data,
          kio-extras (<< 4:5.3.2+git20150710.0210),
          kio-extras-data (<< 4:5.3.2+git20150710.0210),
          klipper,
          plasma-systray-legacy,
          plasma-workspace-data,
          ${kde-l10n:all},
Provides: notification-daemon, x-session-manager
Recommends: kio-extras, libpam-kwallet5, powerdevil
Description: Plasma Workspace for KF5
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 THIS WILL REMOVE YOUR KDE Plasma 4.

Package: plasma-workspace-dev
Architecture: any
Depends: kwin-common,
         libkf5itemmodels-dev (>= 5.37.0~),
         libkf5plasma-dev (>= 5.42.0~),
         libkf5sysguard-dev,
         libkf5windowsystem-dev (>= 5.4.0),
         plasma-workspace (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         ${allLibraries},
         ${misc:Depends},
Breaks: kde-workspace-dev
Replaces: kde-workspace-dev
Conflicts: kde-workspace-dev
Description: Plasma Workspace for KF5 devel files
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 This package contains the development files.

Package: plasma-workspace-wayland
Architecture: any
Depends: kwayland-integration,
         kwin-wayland,
         plasma-workspace (= ${binary:Version}),
         qtwayland5,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Workspace for KF5 - Wayland integration
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.

Package: sddm-theme-breeze
Architecture: any
Depends: plasma-framework, plasma-workspace, ${misc:Depends}, ${shlibs:Depends}
Recommends: sddm
Provides: sddm-theme
Breaks: plasma-workspace (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa5)
Replaces: plasma-workspace (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa5)
Description: Breeze SDDM theme
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains the files for the breeze SDDM theme.

Package: sddm-theme-debian-breeze
Architecture: any
Depends: plasma-framework,
         plasma-workspace,
         sddm-theme-breeze,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: desktop-base (>= 9.0.0~), sddm
Provides: sddm-theme
Description: Debian Breeze SDDM theme
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains the files for the breeze SDDM theme adapted
 to use the active desktop-base theme for the background.
